# Summary

- [About](./README.md)

# Setup
- [Creating a Screen](./setup/MainConfig.md)
- [Advanced config entries](./setup/AdvancedConfig.md)
- [Translating your config](./setup/Translations.md)
- [Debugging](./setup/Debugging.md)

# Select files
- [Toggle Files](./filerpo/ToggleFiles.md)
- [Switch between two files](./filerpo/ToggleFilesWithFallback.md)
- [Select one of multiple files](./filerpo/MultipleFileSelection.md)

# Additional
- [Advanced Conditions](./additional/AdvancedConditions.md)
- [Usage in Shader Packs](./additional/Shaders.md)
- [Resource Expansion](./additional/ResourceExpansion.md)
- [Changes between versions](./additional/Migrations.md)