package io.gitlab.jfronny.respackopts.gson;

import io.gitlab.jfronny.gson.*;
import io.gitlab.jfronny.muscript.ast.BoolExpr;
import io.gitlab.jfronny.respackopts.model.Condition;

import java.lang.reflect.Type;

public class ConditionDeserializer implements JsonDeserializer<Condition> {
    @Override
    public Condition deserialize(JsonElement json, Type typeOfT, JsonDeserializationContext context) throws JsonParseException {
        String source = "Source unavailable";
        if (json.isJsonPrimitive()) {
            JsonPrimitive primitive = json.getAsJsonPrimitive();
            if (primitive.isString()) source = primitive.getAsString();
        }
        return new Condition(source, null, context.deserialize(json, BoolExpr.class));
    }
}
