package io.gitlab.jfronny.respackopts.gson;

import io.gitlab.jfronny.gson.*;
import io.gitlab.jfronny.muscript.ast.Expr;
import io.gitlab.jfronny.muscript.ast.StringExpr;

import java.lang.reflect.Type;

public class StringExprDeserializer implements JsonDeserializer<StringExpr> {
    @Override
    public StringExpr deserialize(JsonElement jsonElement, Type type, JsonDeserializationContext jsonDeserializationContext) throws JsonParseException {
        Expr<?> expr = jsonDeserializationContext.deserialize(jsonElement, Expr.class);
        return expr.asStringExpr();
    }
}
